/***************************************************************************
                          elementstyle.cpp  -  description
                             -------------------
    copyright            : (C) 2007 by Andre Simon
    email                : andre.simon1@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "elementstyle.h"

namespace ansifilter {


ElementStyle::ElementStyle()
    : bold(false), italic(false), underline(false), blink(false),
      reset(true), isNegativeMode(false), conceal(false),
      fgColID(0),
      bgColID(-1)
{}

ElementStyle::~ElementStyle()
{}

bool ElementStyle::isItalic() const
{
  return italic;
}
bool ElementStyle::isBlink() const
{
  return blink;
}
bool ElementStyle::isBold() const
{
  return bold;
}
bool ElementStyle::isUnderline() const
{
  return underline;
}
bool ElementStyle::isConceal() const
{
  return conceal;
}
const StyleColour ElementStyle::getFgColour() const
{
  return fgColour;
}
const StyleColour ElementStyle::getBgColour() const
{
  return bgColour;
}

void  ElementStyle::imageMode(bool negative){
  if (negative !=isNegativeMode){
     	StyleColour swapCol=getFgColour();
	setFgColour(getBgColour());
	setBgColour(swapCol);
	isNegativeMode=!isNegativeMode;
  }
}

}
